!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = mm  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = on  &
   grid_visibility = off  &
   size_of_icons = 50.0  &
   spacing_for_grid = 1000.0
!
!------------------------------ Adams View Model ------------------------------!
!
!
model create  &
   model_name = ax2
!
view erase
!
!--------------------------------- Materials ----------------------------------!
!
!
material create  &
   material_name = .ax2.steel  &
   density = 7.801E-06  &
   youngs_modulus = 2.07E+05  &
   poissons_ratio = 0.29
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = .ax2.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .ax2.ground.MARKER_387  &
   adams_id = 4  &
   location = 292.0006217579, -394.4257446475, 110.123746372  &
   orientation = 0.0d, 95.0d, 270.0d
!
marker attributes  &
   marker_name = .ax2.ground.MARKER_387  &
   visibility = off
!
marker create  &
   marker_name = .ax2.ground.MARKER_385  &
   adams_id = 6  &
   location = 258.0541196282, -180.9272152637, 128.9757763408  &
   orientation = 0.0d, 95.0d, 270.0d
!
marker attributes  &
   marker_name = .ax2.ground.MARKER_385  &
   visibility = off
!
marker create  &
   marker_name = .ax2.ground.pis_ref  &
   adams_id = 11  &
   location = 292.0006217579, -394.4257446475, 110.123746372  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .ax2.ground.pis_ref  &
   visibility = off
!
marker create  &
   marker_name = .ax2.ground.cyl_ref  &
   adams_id = 12  &
   location = 258.0541196282, -180.9272152637, 128.9757763408  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .ax2.ground.cyl_ref  &
   visibility = off
!
marker create  &
   marker_name = .ax2.ground.mock  &
   adams_id = 15  &
   location = 308.119741203, -400.5605168479, 208.6252111244  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .ax2.ground.lock  &
   adams_id = 14  &
   location = 254.0137631442, -190.353131242, 228.4485245056  &
   orientation = 0.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .ax2.ground  &
   material_type = .ax2.steel
!
part attributes  &
   part_name = .ax2.ground  &
   name_visibility = off
!
!------------------------------- DAMPER_RR_PIS --------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .ax2.ground
!
part create rigid_body name_and_position  &
   part_name = .ax2.DAMPER_RR_PIS  &
   adams_id = 2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .ax2.DAMPER_RR_PIS
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .ax2.DAMPER_RR_PIS.RR_BOTTOM_ANCHOR  &
   adams_id = 1  &
   location = 292.0006217579, -394.4257446475, 110.123746372  &
   orientation = 189.0344643638d, 85.0161260301d, 86.864143546d
!
marker attributes  &
   marker_name = .ax2.DAMPER_RR_PIS.RR_BOTTOM_ANCHOR  &
   color = WHITE  &
   size_of_icons = 50.0
!
marker create  &
   marker_name = .ax2.DAMPER_RR_PIS.cm  &
   location = 280.725194319, -323.5115995854, 116.3855018594  &
   orientation = 189.0344643638d, 85.0161260301d, 87.8579583763d
!
marker attributes  &
   marker_name = .ax2.DAMPER_RR_PIS.cm  &
   color = WHITE  &
   size_of_icons = 50.0
!
marker create  &
   marker_name = .ax2.DAMPER_RR_PIS.MARKER_388  &
   adams_id = 3  &
   location = 292.0006217579, -394.4257446475, 110.123746372  &
   orientation = 0.0d, 95.0d, 270.0d
!
marker attributes  &
   marker_name = .ax2.DAMPER_RR_PIS.MARKER_388  &
   visibility = off
!
marker create  &
   marker_name = .ax2.DAMPER_RR_PIS.MARKER_298  &
   adams_id = 8  &
   location = 268.6418687193, -247.5163693333, 123.0959197829  &
   orientation = 9.0344643638d, 94.98387397d, 75.354739825d
!
marker attributes  &
   marker_name = .ax2.DAMPER_RR_PIS.MARKER_298  &
   visibility = off
!
marker create  &
   marker_name = .ax2.DAMPER_RR_PIS.MARKER_820  &
   adams_id = 10  &
   location = 280.725194319, -323.5115995854, 116.3855018594  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .ax2.DAMPER_RR_PIS.MARKER_820  &
   visibility = off
!
part create rigid_body mass_properties  &
   part_name = .ax2.DAMPER_RR_PIS  &
   material_type = .ax2.steel
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = .ax2.DAMPER_RR_PIS.CYLINDER_1  &
   adams_id = 1  &
   center_marker = .ax2.DAMPER_RR_PIS.RR_BOTTOM_ANCHOR  &
   angle_extent = 360.0  &
   length = 147.5  &
   radius = 9.1  &
   side_count_for_body = 20  &
   segment_count_for_ends = 20
!
geometry create feature thinshell  &
   thin_shell_name = .ax2.DAMPER_RR_PIS.CYLINDER_1.THIN_SHELL_1  &
   thickness = -1.5  &
   locations = 268.9264810333, -249.3063714446, 122.9378616755
!
geometry attributes  &
   geometry_name = .ax2.DAMPER_RR_PIS.CYLINDER_1  &
   color = MAGENTA
!
part attributes  &
   part_name = .ax2.DAMPER_RR_PIS  &
   color = MAGENTA  &
   name_visibility = off
!
!------------------------------- DAMPER_RR_CYL --------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .ax2.ground
!
part create rigid_body name_and_position  &
   part_name = .ax2.DAMPER_RR_CYL  &
   adams_id = 3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .ax2.DAMPER_RR_CYL
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .ax2.DAMPER_RR_CYL.MARKER_279  &
   adams_id = 2  &
   location = 258.0541196282, -180.9272152637, 128.9757763408  &
   orientation = 9.0344643638d, 94.9838739699d, 81.3986799767d
!
marker attributes  &
   marker_name = .ax2.DAMPER_RR_CYL.MARKER_279  &
   size_of_icons = 60.0
!
marker create  &
   marker_name = .ax2.DAMPER_RR_CYL.cm  &
   location = 268.6418687193, -247.5163693333, 123.0959197828  &
   orientation = 189.0344643638d, 85.0161260301d, 96.5961068653d
!
marker create  &
   marker_name = .ax2.DAMPER_RR_CYL.MARKER_386  &
   adams_id = 5  &
   location = 258.0541196282, -180.9272152637, 128.9757763408  &
   orientation = 0.0d, 95.0d, 270.0d
!
marker attributes  &
   marker_name = .ax2.DAMPER_RR_CYL.MARKER_386  &
   visibility = off
!
marker create  &
   marker_name = .ax2.DAMPER_RR_CYL.MARKER_297  &
   adams_id = 7  &
   location = 268.6418687193, -247.5163693333, 123.0959197829  &
   orientation = 9.0344643638d, 94.98387397d, 75.354739825d
!
marker attributes  &
   marker_name = .ax2.DAMPER_RR_CYL.MARKER_297  &
   visibility = off
!
marker create  &
   marker_name = .ax2.DAMPER_RR_CYL.MARKER_819  &
   adams_id = 9  &
   location = 268.6418687193, -247.5163693333, 123.0959197829  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .ax2.DAMPER_RR_CYL.MARKER_819  &
   visibility = off
!
part create rigid_body mass_properties  &
   part_name = .ax2.DAMPER_RR_CYL  &
   density = 1.0E-06
!
! ****** Graphics for current part ******
!
geometry create shape cylinder  &
   cylinder_name = .ax2.DAMPER_RR_CYL.CYLINDER_2  &
   adams_id = 2  &
   center_marker = .ax2.DAMPER_RR_CYL.MARKER_279  &
   angle_extent = 360.0  &
   length = 140.0  &
   radius = 12.5  &
   side_count_for_body = 20  &
   segment_count_for_ends = 20
!
geometry create feature thinshell  &
   thin_shell_name = .ax2.DAMPER_RR_CYL.CYLINDER_2.THIN_SHELL_1  &
   thickness = -1.9  &
   locations = 279.95499896, -318.6676372868, 116.8132262222
!
geometry attributes  &
   geometry_name = .ax2.DAMPER_RR_CYL.CYLINDER_2  &
   color = RED
!
part attributes  &
   part_name = .ax2.DAMPER_RR_CYL  &
   color = GREEN  &
   name_visibility = off
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint spherical  &
   joint_name = .ax2.JOINT_DAMPER_RR_L  &
   adams_id = 1  &
   i_marker_name = .ax2.DAMPER_RR_PIS.MARKER_388  &
   j_marker_name = .ax2.ground.MARKER_387
!
constraint attributes  &
   constraint_name = .ax2.JOINT_DAMPER_RR_L  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 30.0
!
constraint create joint spherical  &
   joint_name = .ax2.JOINT_DAMPER_RR_U  &
   adams_id = 2  &
   i_marker_name = .ax2.DAMPER_RR_CYL.MARKER_386  &
   j_marker_name = .ax2.ground.MARKER_385
!
constraint attributes  &
   constraint_name = .ax2.JOINT_DAMPER_RR_U  &
   visibility = off  &
   name_visibility = off  &
   size_of_icons = 30.0
!
constraint create joint translational  &
   joint_name = .ax2.JOINT_DAMPER_RR_CYL  &
   adams_id = 3  &
   i_marker_name = .ax2.DAMPER_RR_CYL.MARKER_297  &
   j_marker_name = .ax2.DAMPER_RR_PIS.MARKER_298
!
constraint attributes  &
   constraint_name = .ax2.JOINT_DAMPER_RR_CYL  &
   name_visibility = off  &
   size_of_icons = 30.0
!
!----------------------------------- Forces -----------------------------------!
!
!
!---------------------------- Adams View Variables ----------------------------!
!
!
variable create  &
   variable_name = .ax2.DV_visco_C  &
   units = "no_units"  &
   range = -0.5, 1.5  &
   use_allowed_values = no  &
   real_value = 0.5
!
!-------------------------- Adams View UDE Instances --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .ax2.ground
!
undo begin_block suppress = yes
!
ude create instance  &
   instance_name = .ax2.DAMPING_RR  &
   definition_name = .MDI.Forces.spring  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude attributes  &
   instance_name = .ax2.DAMPING_RR  &
   color = RED  &
   visibility = off
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = .ax2.DAMPING_RR.i_marker  &
   object_value = (.ax2.DAMPER_RR_CYL.MARKER_819)
!
variable modify  &
   variable_name = .ax2.DAMPING_RR.j_marker  &
   object_value = (.ax2.DAMPER_RR_PIS.MARKER_820)
!
variable modify  &
   variable_name = .ax2.DAMPING_RR.stiffness_mode  &
   string_value = "none"
!
variable modify  &
   variable_name = .ax2.DAMPING_RR.stiffness_coefficient  &
   real_value = (4.5E-04(newton/mm))
!
variable modify  &
   variable_name = .ax2.DAMPING_RR.stiffness_spline  &
   object_value = (NONE)
!
variable modify  &
   variable_name = .ax2.DAMPING_RR.damping_mode  &
   string_value = "linear"
!
variable modify  &
   variable_name = .ax2.DAMPING_RR.damping_coefficient  &
   real_value = (.ax2.DV_visco_C)
!
variable modify  &
   variable_name = .ax2.DAMPING_RR.damping_spline  &
   object_value = (NONE)
!
variable modify  &
   variable_name = .ax2.DAMPING_RR.free_length_mode  &
   string_value = "Design_Length"
!
variable modify  &
   variable_name = .ax2.DAMPING_RR.free_length  &
   real_value = 1.0
!
variable modify  &
   variable_name = .ax2.DAMPING_RR.preload  &
   real_value = 0.0
!
variable modify  &
   variable_name = .ax2.DAMPING_RR.i_dynamic_visibility  &
   string_value = "On"
!
variable modify  &
   variable_name = .ax2.DAMPING_RR.j_dynamic_visibility  &
   string_value = "Off"
!
variable modify  &
   variable_name = .ax2.DAMPING_RR.spring_visibility  &
   string_value = "depends"
!
variable modify  &
   variable_name = .ax2.DAMPING_RR.damper_visibility  &
   string_value = "depends"
!
ude modify instance  &
   instance_name = .ax2.DAMPING_RR
!
undo end_block
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = -9806.65  &
   z_component_gravity = 0.0
!
!----------------------------- Analysis settings ------------------------------!
!
!
!---------------------------- Adams View Variables ----------------------------!
!
!
variable create  &
   variable_name = .ax2.DV_DRZ  &
   units = "no_units"  &
   range = 70.0, 150.0  &
   use_allowed_values = no  &
   real_value = 110.123746372
!
!---------------------------- Function definitions ----------------------------!
!
!
!-------------------------- Adams View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = .ax2.DAMPING_RR
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
marker modify  &
   marker_name = .ax2.DAMPER_RR_PIS.RR_BOTTOM_ANCHOR  &
   location =   &
      ({292.0006217579, -394.4257446475, .ax2.DV_DRZ})  &
   orientation =   &
      (ORI_IN_PLANE(.ax2.ground.pis_ref, .ax2.ground.cyl_ref, .ax2.ground.lock, "Z_ZX"))  &
   relative_to = .ax2.DAMPER_RR_PIS
!
defaults coordinate_system  &
   default_coordinate_system = .ax2.ground
!
geometry modify shape cylinder  &
   cylinder_name = .ax2.DAMPER_RR_PIS.CYLINDER_1  &
   length = (147.5mm)  &
   radius = (9.1mm)
!
geometry modify feature thinshell  &
   thin_shell_name = .ax2.DAMPER_RR_PIS.CYLINDER_1.THIN_SHELL_1
!
marker modify  &
   marker_name = .ax2.DAMPER_RR_CYL.MARKER_279  &
   orientation =   &
      (ORI_IN_PLANE(.ax2.ground.cyl_ref, .ax2.ground.pis_ref, .ax2.ground.mock, "Z_ZX"))  &
   relative_to = .ax2.DAMPER_RR_CYL
!
defaults coordinate_system  &
   default_coordinate_system = .ax2.ground
!
geometry modify shape cylinder  &
   cylinder_name = .ax2.DAMPER_RR_CYL.CYLINDER_2  &
   length = (140mm)  &
   radius = (12.5mm)
!
geometry modify feature thinshell  &
   thin_shell_name = .ax2.DAMPER_RR_CYL.CYLINDER_2.THIN_SHELL_1
!
part modify rigid_body mass_properties  &
   part_name = .ax2.DAMPER_RR_CYL  &
   density = (1000.0(kg/meter**3))
!
material modify  &
   material_name = .ax2.steel  &
   density = (7801.0(kg/meter**3))  &
   youngs_modulus = (2.07E+11(Newton/meter**2))
!
model display  &
   model_name = ax2
